Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2222577 - qt6-qtwebengine: FTBFS in Fedora Rawhide
Summary: qt6-qtwebengine: FTBFS in Fedora Rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt6-qtwebengine
Version: 39
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jan Grulich
QA Contact:
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS PYTHON3.12 2222645
TreeView+ depends on / blocked
 
Reported: 2023-07-13 07:23 UTC by Mattias Ellert
Modified: 2023-08-16 14:13 UTC (History)
2 users (show)

Fixed In Version: qt6-qtwebengine-6.5.1-3.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-16 14:13:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Mattias Ellert 2023-07-13 07:23:27 UTC
Description of problem:
Package qt6-qtwebengine fails to build from source in Fedora Rawhide.

Version-Release number of selected component (if applicable):
qt6-qtwebengine-6.5.1-2.fc39

Steps to Reproduce:
koji build --scratch f39 qt6-qtwebengine-6.5.1-2.fc39.src.rpm

Additional info:

The build log ends with:

FAILED: gen/chrome/browser/resources/components/components.ts 
/usr/bin/python3 ../../../../../src/3rdparty/chromium/tools/grit/preprocess_if_expr.py --in-folder ../../../../../src/3rdparty/chromium/chrome/browser/resources/components --out-folder gen/chrome/browser/resources/components --in-files components.ts -D DEVTOOLS_GRD_PATH=gen/third_party/devtools-frontend/src/front_end/devtools_resources -D SHARED_INTERMEDIATE_DIR=gen -D _google_chrome=false -D _google_chrome_for_testing=false -D chromeos_ash=false -D chromeos_lacros=false -D reven=false -D toolkit_views=false -D use_aura=true -D use_ozone=true -D use_titlecase=false -D scale_factors=2x -E root_gen_dir=gen -E root_src_dir=../../../../../src/3rdparty/chromium/ -E CHROMIUM_BUILD=chromium -t linux
Traceback (most recent call last):
  File "/builddir/build/BUILD/qtwebengine-everywhere-src-6.5.1/redhat-linux-build/src/core/RelWithDebInfo/x86_64/../../../../../src/3rdparty/chromium/tools/grit/preprocess_if_expr.py", line 13, in <module>
    import grit.node.base
  File "/builddir/build/BUILD/qtwebengine-everywhere-src-6.5.1/src/3rdparty/chromium/tools/grit/grit/node/base.py", line 21, in <module>
    from grit import util
  File "/builddir/build/BUILD/qtwebengine-everywhere-src-6.5.1/src/3rdparty/chromium/tools/grit/grit/util.py", line 21, in <module>
    from six.moves import html_entities as entities
ModuleNotFoundError: No module named 'six.moves'


This issue can be solved by adding the following line in the %prep section of the soecfile:

sed "s;'six', ;;" -i src/3rdparty/chromium/tools/grit/grit/__init__.py


However, after fixing this the build instead fails with:

/usr/bin/python3 ../../../../../src/3rdparty/chromium/mojo/public/tools/mojom/mojom_parser.py --input-root ../../../../../src/3rdparty/chromium --input-root gen --output-root gen --mojom-file-list=__chrome_browser_ui_webui_internals_user_education_mojo_bindings__parser__builddir_build_BUILD_qtwebengine-everywhere-src-6.5.1_redhat-linux-build_src_core_target_toolchain_target__rule..rsp --check-imports gen/chrome/browser/ui/webui/internals/user_education/mojo_bindings.build_metadata --enable-feature is_posix --enable-feature is_linux --add-module-metadata webui_module_path=/chrome/browser/ui/webui/internals/user_education
Traceback (most recent call last):
  File "/builddir/build/BUILD/qtwebengine-everywhere-src-6.5.1/redhat-linux-build/src/core/RelWithDebInfo/x86_64/../../../../../src/3rdparty/chromium/mojo/public/tools/mojom/mojom_parser.py", line 27, in <module>
    from mojom.generate import translate
  File "/builddir/build/BUILD/qtwebengine-everywhere-src-6.5.1/src/3rdparty/chromium/mojo/public/tools/mojom/mojom/generate/translate.py", line 16, in <module>
    from mojom.generate import generator
  File "/builddir/build/BUILD/qtwebengine-everywhere-src-6.5.1/src/3rdparty/chromium/mojo/public/tools/mojom/mojom/generate/generator.py", line 12, in <module>
    from mojom import fileutil
  File "/builddir/build/BUILD/qtwebengine-everywhere-src-6.5.1/src/3rdparty/chromium/mojo/public/tools/mojom/mojom/fileutil.py", line 6, in <module>
    import imp
ModuleNotFoundError: No module named 'imp'


The imp module was removed from Pythin 3.12. Several files in 3rdparty/chromium use it and must be updated-


Reproducible: Always

Comment 1 Fedora Release Engineering 2023-08-16 08:12:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.


Note You need to log in before you can comment on or make changes to this bug.